<!DOCTYPE html>
<html>
  <head>
    <title>DOM Projects</title>
  </head>
  <body>
    <p>YouTube Subscribe Button</p>
    <button onclick="
      subscribe();
    " class="js-subscribe-button">
      Subscribe
    </button>

    <p>Amazon Shipping Calculator</p>
    <input placeholder="Cost of order" class="js-cost-input" onkeydown="
      handleCostKeydown(event);
    ">
    <button onclick="
      calculateTotal();
    ">Calculate</button>
    <p class="js-total-cost"></p>

    <!-- Q8 -->
    <input type="text" name="text" id="js-typ" onkeyup="handleType()">
    <p class="js-para"></p>

    <script>
      String(25)
      console.log('25' - 5);
      console.log('25' + 5);

      window.document
      window.console.log('window');
      window.alert

      function handleCostKeydown(event) {
        if (event.key === 'Enter') {
          calculateTotal();
        }
      }

      function calculateTotal() {
        const inputElement = document.querySelector('.js-cost-input');
        let cost = Number(inputElement.value);

        // Q7
        if (cost < 40) {
          cost = cost + 10;
        }

        cost = Math.round(cost)

        document.querySelector('.js-total-cost')
          .innerHTML = `$${cost}`;
      }

      function subscribe() {
        const buttonElement = document.querySelector('.js-subscribe-button');

        if (buttonElement.innerText === 'Subscribe') {
          buttonElement.innerHTML = 'Subscribed';
        } else {
          buttonElement.innerHTML = 'Subscribe';
        }
      }
      
      // Q8
      function handleType() {
        document.querySelector('.js-para').innerHTML = `${document.querySelector('#js-typ').value}`
      }
    </script>
  </body>
</html>